Idempotency-Key header.Authorization: ********************{
"records": [
{
"id": "client-att-123",
"employee_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"clock_in_client_ts": "2025-11-16T08:00:00Z",
"clock_out_client_ts": "2019-08-24T14:15:22.123Z",
"lat": 0,
"lng": 0,
"location": "string",
"location_accuracy": 0,
"device_id": "device-abc123",
"photo_url": "http://example.com",
"source": "mobile",
"sync_status": "pending"
}
]
}curl --location --request POST 'https://dev.your-api-server.com/attendances/sync' \
--header 'Idempotency-Key;' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"records": [
{
"id": "client-att-123",
"employee_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"clock_in_client_ts": "2025-11-16T08:00:00Z",
"clock_out_client_ts": "2019-08-24T14:15:22.123Z",
"lat": 0,
"lng": 0,
"location": "string",
"location_accuracy": 0,
"device_id": "device-abc123",
"photo_url": "http://example.com",
"source": "mobile",
"sync_status": "pending"
}
]
}'{
"job_id": "job_payroll_nov2025",
"status": "queued",
"progress": {
"processed": 15,
"total": 100
},
"result": {
"payroll_ids": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
]
},
"error": null,
"created_at": "2025-11-13T09:00:00Z",
"updated_at": "2025-11-13T09:05:00Z"
}